aboutsummaryrefslogtreecommitdiffstats
path: root/.travis/setup-alpine
diff options
context:
space:
mode:
authorJakub Jirutka <jakub@jirutka.cz>2016-03-30 21:28:23 +0200
committerNatanael Copa <ncopa@alpinelinux.org>2016-04-05 13:15:19 +0000
commit60238ff6aad2e14870bab1c7adee633976571423 (patch)
tree42859a242fbc96f17abe26b8daedf00f7eaf52e4 /.travis/setup-alpine
parent3962c0d948aa2ba5cc3820aea8cf685794a42e5b (diff)
downloadaports-60238ff6aad2e14870bab1c7adee633976571423.tar.gz
aports-60238ff6aad2e14870bab1c7adee633976571423.tar.bz2
aports-60238ff6aad2e14870bab1c7adee633976571423.tar.xz
Set up Travis to build modified packages
Diffstat (limited to '.travis/setup-alpine')
-rwxr-xr-x.travis/setup-alpine33
1 files changed, 33 insertions, 0 deletions
diff --git a/.travis/setup-alpine b/.travis/setup-alpine
new file mode 100755
index 0000000000..a922dff671
--- /dev/null
+++ b/.travis/setup-alpine
@@ -0,0 +1,33 @@
+#!/bin/sh
+# vim: set ts=4:
+set -eu
+
+. "$(dirname "$0")"/common.sh
+
+title 'Setting up Alpine Linux'
+
+mkdir -p "${ALPINE_ROOT}${CLONE_DIR}"
+mount --bind "$CLONE_DIR" "${ALPINE_ROOT}${CLONE_DIR}"
+
+alpine_run <<-EOF
+ apk add alpine-sdk lua-aports
+
+ adduser -G users -s /bin/sh -D $ALPINE_USER
+ addgroup $ALPINE_USER abuild
+ addgroup $ALPINE_USER wheel
+
+ echo '%wheel ALL=(ALL) NOPASSWD: ALL' > /etc/sudoers.d/wheel
+
+ sed -i 's/JOBS=[0-9]*/JOBS=$(nproc)/' /etc/abuild.conf
+
+ mkdir -p /var/cache/distfiles
+ chmod a+w /var/cache/distfiles
+
+ # Hack to disable apk's progress bar.
+ install -m755 -D .travis/abuild-apk /usr/local/bin/abuild-apk
+EOF
+
+# This key will not be used anywhere, just to make abuild happy...
+alpine_run $ALPINE_USER <<-EOF
+ abuild-keygen -ain
+EOF